import json
import math
import sys
from functools import partial

if len(sys.argv) == 1:
    print "Niste naveli dovoljno argumenta komandne linije"
    exit()

with open("tacke.json","r") as f:
    tacke = json.load(f)

# funkcija koja tacke x i y poredi po njihovoj udaljenosti od koordinatnog pocetka
def poredi(x,y):
    if (x[0]*x[0] + x[1]*x[1]) > (y[0]*y[0] + y[1]*y[1]):
        return 1
    else:
        return -1

# funkcija koja proverava da li tacka pripada kvadrantu

def pripada(kvadrant, tacka):
    koordinate = tacka["koordinate"]
    if kvadrant == 1:
        return koordinate[0] >=0 and koordinate[1] >=0
    elif kvadrant == 2:
        return koordinate[0] <=0 and koordinate[1] >=0
    elif kvadrant == 3:
        return koordinate[0] <=0 and koordinate[1] <=0
    elif kvadrant == 4:
        return koordinate[0] >=0 and koordinate[1] <=0
    else:
        print "Kvadrant nije ispravno unet"
        exit()

sortirane_tacke = sorted(tacke, poredi, lambda x: x["koordinate"], True)
kvadrant = int(sys.argv[1])
# sa partial fiksiramo jedan argument
# partial vraca objekat koji se moze pozvati kao funkcija

uslov = partial(pripada, kvadrant)
tacke_iz_kvadranta = filter(uslov, sortirane_tacke)

if len(tacke_iz_kvadranta) > 0:
    print tacke_iz_kvadranta[0]["teme"]
else:
    print "Trazena tacka ne postoji"
